Summary: A GNU general-purpose parser generator
Name: bison
Version: 3.8.2
Release: 6%{?dist}
License: GPLv3+
URL: http://www.gnu.org/software/%{name}/
Source0: https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
BuildRequires: make gcc-c++ autoconf flex
BuildRequires: m4 >= 1.4
Requires: m4 >= 1.4
Provides: bundled(gnulib)

%description
Bison is a general-purpose parser generator that converts an annotated 
context-free grammar into a deterministic LR or generalized LR (GLR) 
parser employing LALR(1) parser tables. As an experimental feature, 
Bison can also generate IELR(1) or canonical LR(1) parser tables. Once 
you are proficient with Bison, you can use it to develop a wide range of 
language parsers, from those used in simple desk calculators to complex 
programming languages.

%package devel
Summary: -ly library for development using Bison-generated parsers
Provides: bison-static = %{version}-%{release}

%description devel
This package contains the -ly library used by programs using 
bison-generated parsers.

%package runtime
Summary: Runtime support files used by Bison-generated parsers

%description runtime
This package contains files used at runtime by parsers which Bison generates.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%check
make check

rm -f %{buildroot}/%{_bindir}/yacc
rm -f %{buildroot}/%{_infodir}/dir
rm -f %{buildroot}/%{_mandir}/man1/yacc*
rm -f %{buildroot}/%{_docdir}/bison/COPYING
rm -rf %{buildroot}/%{_docdir}/bison/examples/*

gzip -9nf %{buildroot}%{_infodir}/bison.info*

%find_lang bison
%find_lang bison-gnulib
%find_lang bison-runtime

%files -f bison.lang -f bison-gnulib.lang 
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/bison
%{_infodir}/bison.info*
%{_datadir}/bison
%{_datadir}/aclocal/bison*.m4
%{_mandir}/*/bison*

%files -f bison-runtime.lang runtime
%license COPYING

%files devel
%license COPYING
%defattr(-,root,root)
%{_libdir}/liby.a

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 Wang Zhe <bessiewang@tencent.com> - 3.8.2-1
- initial build
